Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.usermgmt
Interface GroupManager

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface GroupManager
extends weblogic.jws.control.Control

Remote interface for the GroupManager session bean.
This class depends on the following EJB environment in the ejb deployment descriptor:

- ejb/GroupProfileManager: an ejb-ref pointing to the default GroupProfileManager deployment.
- ProtectedGroupNames: an env-entry of type String containing a comma-separated list of group names (case insensitive) that cannot be deleted through the GroupManager. These are optional, required only if you wish to protect group names from deletion. Note that the special WLS groups everyone, users, and Administrators are always protected - this list can be used to extend that protection to other groups.
- Any methods that create or remove groups delegate to the WebLogic provider selected by RealmHelper.getProviderMBean. If multiple providers are configured, see RealmHelper for information about which of those providers will be used.

This control requires that the GroupManager EJB has been deployed to the application. The GroupManager EJB is contained in p13n_ejb.jar, and is automatically deployed as part of a Portal application.
Security requirements: The caller must be in the role of "PortalSystemAdministrator" to invoke most of these methods

This control is deprecated as of Portal 8.1.x. Each method will note the replacement control and method to use.

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`void` | `addGroupToGroup(String parentGroup, String childGroup)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.addGroupToGroup(parentGroup, childGroup)
`void` | `addUserToGroup(String groupname, String username)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.addUserToGroup(groupname, username)
`ProfileWrapper` | `createGroup(String name)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.createGroup(name)
`List` | `getAllGroupNames()` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getAllGroupNames()
`List` | `getChildGroupNames(String groupname)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getChildGroupNames(groupname)
`List` | `getGroupNamesForUser(String username)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getGroupNamesForUser(username)
`ProfileWrapper` | `getGroupProfile(String name)` Deprecated. As of Portal 8.1.x, use UserProfileControl.getProfileForGroup(name)
`ProfileManager` | `getGroupProfileManager(String name)` Deprecated. Use ProfileControl.getGroupProfileManager(name)
`String` | `getParentGroupName(String groupname)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getParentGroupNames(groupname)
`List` | `getTopLevelGroupNames()` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getTopLevelGroupNames()
`List` | `getUsernamesForGroup(String groupname)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getUsernamesForGroup(groupname)
`List` | `getUsernamesForGroupLimited(String groupname, String searchExpression, int limit)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.getUsernamesForGroupLimited(groupname, searchExpression, limit)
`boolean` | `groupExists(String group)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.groupExists(group)
`boolean` | `isDeletableGroup(String groupName)` Determine if a group can be deleted.
`boolean` | `isDescendent(String ancestor, String descendent)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.isDescendent(ancestor, descendent)
`boolean` | `isMember(String groupname, String username)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.isMemberGroup(groupname, username, recurse)
`void` | `removeGroup(String groupname)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.removeGroup(groupname)
`void` | `removeGroupFromGroup(String parentGroup, String childGroup)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.removeGroupFromGroup(parentGroup, childGroup)
`void` | `removeUserFromGroup(String groupname, String username)` Deprecated. As of Portal 8.1.x, use GroupProviderControl.removeUserFromGroup(groupname, username)

Method Detail

### addGroupToGroup

    public void addGroupToGroup(String parentGroup,
                                String childGroup)
                         throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.addGroupToGroup(parentGroup, childGroup)

  Add a child group to a group Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `parentGroup` - the name of the group to modify
    `childGroup` - the name of the group to add
  Throws:
    `P13nControlException` - if the child group cannot be added to the group or caller is not in allowed role

### addUserToGroup

    public void addUserToGroup(String groupname,
                               String username)
                        throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.addUserToGroup(groupname, username)

  Add a user to a group. Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `groupname` - the name of the group to modify
    `username` - the name of the user to add
  Throws:
    `P13nControlException` - if the user cannot be added to the group or caller is not in allowed role

### createGroup

    public ProfileWrapper createGroup(String name)
                               throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.createGroup(name)

  Caller must be in the role of PortalSystemAdminstrator

  Throws:
    `P13nControlException` - if name is invalid or if group already exists or caller is not in allowed role

### getAllGroupNames

    public List getAllGroupNames()
                          throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getAllGroupNames()

  Caller must be in the role of PortalSystemAdminstrator

  Throws:
    `P13nControlException` - if remote errors from the GroupManager EJB

### getChildGroupNames

    public List getChildGroupNames(String groupname)
                            throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getChildGroupNames(groupname)

  Caller must be in the role of PortalSystemAdminstrator Retrieve a list of all children of a group.

  Parameters:
    `groupname` - the group to query
  Throws:
    `P13nControlException` - if remote errors from the GroupManager EJB or caller is not in allowed role

### getGroupNamesForUser

    public List getGroupNamesForUser(String username)
                              throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getGroupNamesForUser(username)

  Retrieve a list of all groups that a user belongs to.

  Parameters:
    `username` - the user to query
  Throws:
    `P13nControlException` - if remote errors from the GroupManager EJB

### getGroupProfile

    public ProfileWrapper getGroupProfile(String name)
                                   throws P13nControlException

  Deprecated. As of Portal 8.1.x, use UserProfileControl.getProfileForGroup(name)

  Get the profile for this group. Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `name` - the name of the group to access
  Returns:
    the profile representing the group
  Throws:
    `P13nControlException` - if profile is not found or caller is not in allowed role

### getGroupProfileManager

    public ProfileManager getGroupProfileManager(String name)
                                          throws P13nControlException

  Deprecated. Use ProfileControl.getGroupProfileManager(name)

  Returns a profile manager that can be used to access a group's profile. If the requested group exists in the realm but does not have a profile yet, a new profile will be created at this time.

  Parameters:
    `name` - the name of the group to access
  Returns:
    the GroupProfileManager
  Throws:
    `P13nControlException` - if the group is not in the realm or caller is not in allowed role

### getParentGroupName

    public String getParentGroupName(String groupname)
                              throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getParentGroupNames(groupname)

  Retrieve the parent of a group. Assumes that a group will only have one parent, as enforced by the GroupManager. If your realm has groups with more than one parent, the first one encountered will be returned. Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `groupname` - the group to query
  Throws:
    `P13nControlException` - if runtime errors occur or caller is not in allowed role

### getTopLevelGroupNames

    public List getTopLevelGroupNames()
                               throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getTopLevelGroupNames()

  Retrieve a list of groups that do not have parent groups. This will not return the built-in WLS "everyone" or "users" groups. Caller must be in the role of PortalSystemAdminstrator

  Throws:
    `P13nControlException` - if runtime errors occur or caller is not in allowed role

### groupExists

    public boolean groupExists(String group)
                        throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.groupExists(group)

  Determines if a group exists in the realm.

  Returns:
    true if the group exists, false otherwise
  Throws:
    `P13nControlException` - if runtime errors

### isDeletableGroup

    public boolean isDeletableGroup(String groupName)
                             throws P13nControlException

  Determine if a group can be deleted. Caller must be in the role of PortalSystemAdminstrator

  Returns:
    false if the group name given is protected by the system in any way
  Throws:
    `P13nControlException` - if runtime errors or caller is not in allowed role

### isDescendent

    public boolean isDescendent(String ancestor,
                                String descendent)
                         throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.isDescendent(ancestor, descendent)

  Determine if one group is a descendent of another. Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `ancestor` - see if the other group is a descendent of this group
    `descendent` - see if this is a descendent of the other group
  Throws:
    `P13nControlException` - if runtime errors or caller is not in allowed role

### isMember

    public boolean isMember(String groupname,
                            String username)
                     throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.isMemberGroup(groupname, username, recurse)

  Determine if a user is a member of a group.

  Parameters:
    `groupname` - the group to query
    `username` - the user to look for
  Throws:
    `P13nControlException` - if runtime errors

### removeGroup

    public void removeGroup(String groupname)
                     throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.removeGroup(groupname)

  Remove a group. This will remove the group from both the realm and the profile tables. Caller must be in the role of PortalSystemAdminstrator

  Throws:
    `P13nControlException` - if the group is protected and cannot be deleted or caller is not in allowed role

### removeGroupFromGroup

    public void removeGroupFromGroup(String parentGroup,
                                     String childGroup)
                              throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.removeGroupFromGroup(parentGroup, childGroup)

  Remove a child group from a group Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `parentGroup` - the name of the group to modify
    `childGroup` - the name of the group to remove
  Throws:
    `P13nControlException` - if the group is not found or caller is not in allowed role

### removeUserFromGroup

    public void removeUserFromGroup(String groupname,
                                    String username)
                             throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.removeUserFromGroup(groupname, username)

  Remove a user from a group Caller must be in the role of PortalSystemAdminstrator

  Parameters:
    `groupname` - the name of the group to modify
    `username` - the name of the user to remove
  Throws:
    `P13nControlException` - if user or group is not found, or caller is not in allowed role

### getUsernamesForGroup

    public List getUsernamesForGroup(String groupname)
                              throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getUsernamesForGroup(groupname)

  Throws:
    `P13nControlException` - if runtime errors

### getUsernamesForGroupLimited

    public List getUsernamesForGroupLimited(String groupname,
                                            String searchExpression,
                                            int limit)
                                     throws P13nControlException

  Deprecated. As of Portal 8.1.x, use GroupProviderControl.getUsernamesForGroupLimited(groupname, searchExpression, limit)

  Retrieve a list of users in a group, matching the provided wildcard expression

  Parameters:
    `groupname` - the group to query
    `searchExpression` - a wildcard expression to match
    `limit` - the maximum number of results to return
  Returns:
    a List of usernames that are in this group
  Throws:
    `P13nControlException` - if runtime errors occur

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved